Index: rom/bios.s
===================================================================
--- rom/bios.s	(revision f40a3096572fd1b0696a7f7c717464e68652e655)
+++ rom/bios.s	(revision 4f508e6879b14fc73a3587ac6cd023ca6262eae8)
@@ -3032,429 +3032,429 @@
 		btst	#0,d2
 		beq	mult32c
-*
+
 		neg.l	d0
-*
+
 mult32c:	unlk	a6
 		rts
-*
-		.page
-*
-* rand -- Generate a random number
-* ----    ------------------------
-rand:		link	a6,#-4			* Reserve stack for temps
-		tst.l	rseed			* See if the seed is zero
-		bne	rand01			* Jump if not
-*
-		move.l	_hz_200,d0		* Pick up the 200 Hz clock
-		moveq.l	#16,d1			* Shift it left
-		asl.l	d1,d0			* ...
-		or.l	_hz_200,d0		* OR in current 200 Hz clock
-		move.l	d0,rseed		* Use that as the seed
-*
-rand01:		move.l	#$BB40E62D,-(a7)	* Put PI on the stack
-		move.l	rseed,-(a7)		* ... and rseed, too
-		bsr	mult32			* Multiply them
-		addq.l	#8,a7			* Cleanup stack
-		addq.l	#1,d0			* Add 1 to the result
-		move.l	d0,rseed		* Save as new seed
+
+		.page
+
+| rand -- Generate a random number
+| ----    ------------------------
+rand:		link	a6,#-4			| Reserve stack for temps
+		tst.l	rseed			| See if the seed is zero
+		bne	rand01			| Jump if not
+
+		move.l	_hz_200,d0		| Pick up the 200 Hz clock
+		moveq.l	#16,d1			| Shift it left
+		asl.l	d1,d0			| ...
+		or.l	_hz_200,d0		| OR in current 200 Hz clock
+		move.l	d0,rseed		| Use that as the seed
+
+rand01:		move.l	#0xBB40E62D,-(a7)	| Put PI on the stack
+		move.l	rseed,-(a7)		| ... and rseed, too
+		bsr	mult32			| Multiply them
+		addq.l	#8,a7			| Cleanup stack
+		addq.l	#1,d0			| Add 1 to the result
+		move.l	d0,rseed		| Save as new seed
 		move.l	rseed,d0
-		asr.l	#8,d0			* Make it a 24 bit number
-		and.l	#$FFFFFF,d0		* ...
-		unlk	a6			* Release stack
-		rts				* Return to caller
-*
-		.page
-*
-* protobt -- Generate a prototype boot sector
-* -------    --------------------------------
+		asr.l	#8,d0			| Make it a 24 bit number
+		and.l	#0xFFFFFF,d0		| ...
+		unlk	a6			| Release stack
+		rts				| Return to caller
+
+		.page
+
+| protobt -- Generate a prototype boot sector
+| -------    --------------------------------
 protobt:	link	a6,#-6
-		movem.l	d5-d7/a5,-(a7)		* Save registers
-		tst.w	18(a6)			* Test execflg
-		bge	protbt03		* Jump if set
-*
-		move.w	#256,(a7)		* Count = 256 words
-		move.l	8(a6),-(a7)		* Address of buffer
-		bsr	chksum			* Calculate checksum
-		addq.l	#4,a7			* Cleanup stack
-		cmp.w	#$1234,d0		* Boot checksum ?
-		beq	protbt01		* Jump if so
-*
-		clr.w	d0			* Not executable
+		movem.l	d5-d7/a5,-(a7)		| Save registers
+		tst.w	18(a6)			| Test execflg
+		bge	protbt03		| Jump if set
+
+		move.w	#256,(a7)		| Count = 256 words
+		move.l	8(a6),-(a7)		| Address of buffer
+		bsr	chksum			| Calculate checksum
+		addq.l	#4,a7			| Cleanup stack
+		cmp.w	#0x1234,d0		| Boot checksum ?
+		beq	protbt01		| Jump if so
+
+		clr.w	d0			| Not executable
 		bra	protbt02
-*
-protbt01:	moveq.l	#1,d0			* Executable
-*
-protbt02:	move.w	d0,18(a6)		* Set execflg
-*
-protbt03:	tst.l	12(a6)			* Serial number ?
-		blt	protbt07		* Jump if not to be changed
-*
-		move.l	12(a6),d0		* Get it into d0
-		cmp.l	#$FFFFFF,d0		* > $FFFFFF
-		ble	protbt04		* Jump if not
-*
-		bsr	rand			* Generate a random number
-		move.l	d0,12(a6)		* Save as s/n
-*
-protbt04:	clr.w	d7			* Clear counter
-		bra	protbt06		* Enter move loop
-*
-		.page
-*
-protbt05:	move.l	12(a6),d0		* Get s/n
-		and.l	#$FF,d0			* Isolate low 8 bits
-		move.w	d7,a1			* Point to next byte
-		add.l	8(a6),a1		* ...
-		move.b	d0,8(a1)		* Write byte in buffer
-		move.l	12(a6),d0		* Get s/n
-		asr.l	#8,d0			* Shift right 8 bits
-		move.l	d0,12(a6)		* Save shifted value
-		addq.w	#1,d7			* Update counter
-*
-protbt06:	cmp.w	#3,d7			* See if we're done
-		blt	protbt05		* Loop if not
-*
-protbt07:	tst.w	16(a6)			* Diskette size ?
-		blt	protbt10		* Jump if not to be changed
-*
-		move.w	16(a6),d6		* Get diskette size
-		muls.w	#19,d6			* ... times 19 as pointer
-		clr.w	d7			* Clear counter
-		bra	protbt09		* Go move in BPB
-*
-protbt08:	move.w	d7,a0			* Get counter
-		add.l	8(a6),a0		* Add base of buffer
-		move.w	d6,a1			* Get BPB pointer
-		add.l	#pbpbtab,a1		* Add base of prototype BPB's
-		move.b	(a1),11(a0)		* Copy BPB data
-		addq.w	#1,d6			* Update pointer
-		addq.w	#1,d7			* Update counter
-*
-protbt09:	cmp.w	#19,d7			* Done ?
-		blt	protbt08		* Loop if not
-*
+
+protbt01:	moveq.l	#1,d0			| Executable
+
+protbt02:	move.w	d0,18(a6)		| Set execflg
+
+protbt03:	tst.l	12(a6)			| Serial number ?
+		blt	protbt07		| Jump if not to be changed
+
+		move.l	12(a6),d0		| Get it into d0
+		cmp.l	#0xFFFFFF,d0		| > 0xFFFFFF
+		ble	protbt04		| Jump if not
+
+		bsr	rand			| Generate a random number
+		move.l	d0,12(a6)		| Save as s/n
+
+protbt04:	clr.w	d7			| Clear counter
+		bra	protbt06		| Enter move loop
+
+		.page
+
+protbt05:	move.l	12(a6),d0		| Get s/n
+		and.l	#0xFF,d0		| Isolate low 8 bits
+		move.w	d7,a1			| Point to next byte
+		add.l	8(a6),a1		| ...
+		move.b	d0,8(a1)		| Write byte in buffer
+		move.l	12(a6),d0		| Get s/n
+		asr.l	#8,d0			| Shift right 8 bits
+		move.l	d0,12(a6)		| Save shifted value
+		addq.w	#1,d7			| Update counter
+
+protbt06:	cmp.w	#3,d7			| See if we're done
+		blt	protbt05		| Loop if not
+
+protbt07:	tst.w	16(a6)			| Diskette size ?
+		blt	protbt10		| Jump if not to be changed
+
+		move.w	16(a6),d6		| Get diskette size
+		muls.w	#19,d6			| ... times 19 as pointer
+		clr.w	d7			| Clear counter
+		bra	protbt09		| Go move in BPB
+
+protbt08:	move.w	d7,a0			| Get counter
+		add.l	8(a6),a0		| Add base of buffer
+		move.w	d6,a1			| Get BPB pointer
+		add.l	#pbpbtab,a1		| Add base of prototype BPB's
+		move.b	(a1),11(a0)		| Copy BPB data
+		addq.w	#1,d6			| Update pointer
+		addq.w	#1,d7			| Update counter
+
+protbt09:	cmp.w	#19,d7			| Done ?
+		blt	protbt08		| Loop if not
+
 protbt10:	clr.w	-6(a6)
 		move.l	8(a6),-4(a6)
 		bra	protbt12
-*
-		.page
-*
-protbt11:	move.l	-4(a6),a0		* Get buffer pointer
-		move.w	(a0),d0			* Get word from buffer
-		add.w	d0,-6(a6)		* Sum for checksum
-		addq.l	#2,-4(a6)		* Point at next word
-*
-protbt12:	move.l	8(a6),d0		* Get buffer address
-		add.l	#$1FE,d0		* Plus sector length
-		cmp.l	-4(a6),d0		* Done ?
-		bhi	protbt11		* Loop if not
-*
-		move.w	#$1234,d0		* Checksum for boot sector
-		sub.w	-6(a6),d0		* Subtract checksum for buffer
+
+		.page
+
+protbt11:	move.l	-4(a6),a0		| Get buffer pointer
+		move.w	(a0),d0			| Get word from buffer
+		add.w	d0,-6(a6)		| Sum for checksum
+		addq.l	#2,-4(a6)		| Point at next word
+
+protbt12:	move.l	8(a6),d0		| Get buffer address
+		add.l	#0x1FE,d0		| Plus sector length
+		cmp.l	-4(a6),d0		| Done ?
+		bhi	protbt11		| Loop if not
+
+		move.w	#0x1234,d0		| Checksum for boot sector
+		sub.w	-6(a6),d0		| Subtract checksum for buffer
 		move.l	-4(a6),a1
-		move.w	d0,(a1)			* Store checksum in buffer
-		tst.w	18(a6)			* Check execflg
-		bne	protbt13		* Boot sector to be executable ?
-*
-		move.l	-4(a6),a0		* Mung checksum so it's not
+		move.w	d0,(a1)			| Store checksum in buffer
+		tst.w	18(a6)			| Check execflg
+		bne	protbt13		| Boot sector to be executable ?
+
+		move.l	-4(a6),a0		| Mung checksum so it's not
 		addq.w	#1,(a0)
-*
+
 protbt13:	tst.l	(a7)+
-		movem.l	(a7)+,d6-d7/a5		* Restore registers
-		unlk	a6			* Release stack
-		rts				* Return to caller
-*
-		.endc
-*
-* criter -- Critical error handler
-* ------    ----------------------
-criter:		move.l	critvec,-(a7)		* Put error vector on stack
-		moveq.l	#-1,d0			* Set default error return
-		rts				* "Return" to handler
-*
-		.page
-*
+		movem.l	(a7)+,d6-d7/a5		| Restore registers
+		unlk	a6			| Release stack
+		rts				| Return to caller
+
+		.endc
+
+| criter -- Critical error handler
+| ------    ----------------------
+criter:		move.l	critvec,-(a7)		| Put error vector on stack
+		moveq.l	#-1,d0			| Set default error return
+		rts				| "Return" to handler
+
+		.page
+
 		.ifne	BUCHLA
-*
-* api_int -- Analog processor interrupt handler
-* -------    ----------------------------------
-api_int:	movem.l	d0-d1/a0-a1,-(a7)	* Save registers
-		clr.l	d0			* Read input port
-		move.b	ANALOG,d0		* ... into d0[7..0]
-		move.b	d0,api_inp		* ... and api_inp
-		btst	#7,d0			* Check for signal number flag
-		bne	api_s0a			* Jump if signal number read
-*
-		lea	api_tv,a0		* Get api_tv base in a0
-		clr.w	d1			* Get api_sv in d1
-		move.b	api_sv,d1		* ...
-		cmpi.b	#6,d1			* Check range
-		bgt	api_sve			* Jump if out of range
-*
-		lsl.w	#2,d1			* Develop jump address
-		move.l	0(a0,d1.W),a1		* ... from api_tv in a1
-		jmp	(a1)			* Jump to state handler
-*
-api_s0:		btst	#7,d0			* Check for signal number flag
-		beq	api_ret			* Jump if not signal number
-*
-api_s0a:	clr.b	api_val			* Clear value byte
-		andi.b	#$7F,d0			* Mask off signal number flag
-		cmpi.b	#82,d0			* See if it's in range
-		bgt	api_err			* Jump if out of range (GT 82)
-*
-		move.b	d0,api_sig		* Store signal number
-		beq	api_pub			* Jump if it was "all off"
-*
-		lea	api_tab,a0		* Get sv table base
-		move.b	0(a0,d0.W),api_sv	* Set sv for next time
-*
-api_ret:	movem.l	(a7)+,d0-d1/a0-a1	* Restore registers
-		rte				* Return to interrupted code
-*
-api_err:	move.b	d0,api_bug		* Catch the bug
-		clr.b	api_sv			* Force state zero
-		bra	api_ret			* Go back to interrupted code
-*
-api_sve:	move.b	d1,api_svb		* Catch the bug
-		clr.b	api_sv			* Force state zero
-		bra	api_ret			* Go back to interrupted code
-*
-		.page
-api_s1:		btst	#0,d0			* See if it takes a value
-		beq	api_s1a			* Jump if not
-*
-		move.b	#2,api_sv		* Set sv for state 2
-		bra	api_ret			* Go return from interrupt
-*
-api_s1a:	clr.b	api_val			* Clear value byte
-		bra	api_pub			* Go output to fifo
-*
-api_s2:		ori.b	#$80,d0			* Set status = 1
-		move.b	d0,api_val		* Set value byte
-		bra	api_pub			* Go output to fifo
-*
-api_s3:		ror.b	#1,d0			* Set status in value byte
-		andi.b	#$80,d0			* ...
-		move.b	d0,api_val		* ...
-		move.b	#4,api_sv		* Set sv for state 4
-		bra	api_ret			* Go return from interrupt
-*
-api_s4:		or.b	d0,api_val		* Set value byte
-		bra	api_pub			* Go output to fifo
-*
-api_s5:		ror.b	#1,d0			* Set status in value byte
-		andi.b	#$80,d0			* ...
-*
-api_s6:		move.b	d0,api_val		* Set value byte
-*
-api_pub:	movea.l	api_fi,a0		* Get fifo input pointer in a0
-		move.w	api_sig,(a0)+		* Store new input
-		cmpa.l	#api_fe,a0		* Wrap around ?
-		blt	api_pb1			* Jump if not
-*
-		movea.l	#api_fum,a0		* Wrap input pointer to start
-*
-api_pb1:	move.l	a0,api_fi		* Update input pointer
-		cmpa.l	api_fo,a0		* Buffer full ?
-		bne	api_pb3			* Jump if not
-*
-		movea.l	api_fo,a1		* Get fifo output pointer in a1
-		adda.l	#2,a1			* Increment it
-		cmpa.l	#api_fe,a1		* Wrap around ?
-		blt	api_pb2			* Jump if not
-*
-		movea.l	#api_fum,a1		* Wrap output pointer to start
-*
-api_pb2:	move.l	a1,api_fo		* Set new output pointer
-*
-api_pb3:	clr.b	api_sv			* Set state to 0
-		bra	api_ret			* Return from interrupt
-*
-		.page
-*
-* api_get -- Get analog input
-* -------    ----------------
-api_get:	move.w	sr,-(a7)		* Save status register
-		ori.w	#IPL3,sr		* Disable ANALOG I/O interrupts
-		movea.l	api_fo,a0		* Get fifo output pointer
-		cmpa.l	api_fi,a0		* See if fifo is empty
-		bne	api_g1			* Jump if not
-*
-		moveq.l	#-1,d0			* Set empty-fifo value
-		move.w	(a7)+,sr		* Restore interrupt mask
-		rts				* Return to caller
-*
-api_g1:		clr.l	d0			* Get fifo value
-		move.w	(a0)+,d0		* ...
-		cmpa.l	#api_fe,a0		* See if pointer wrapped
-		blt	api_g2			* Jump if not
-*
-		movea.l	#api_fum,a0		* Wrap the pointer around
-*
-api_g2:		move.l	a0,api_fo		* Update pointer
-		move.w	(a7)+,sr		* Restore interrupt mask
-		rts				* Return to caller
-*
-* api_zap -- clear analog I/O FIFO
-* -------    ---------------------
-api_zap:	move.w	sr,-(a7)		* Save status register
-		ori.w	#IPL3,sr		* Disable ANALOG I/O interrupts
-		move.l	#api_fum,api_fi		* Clear analog processor fifo
-		move.l	#api_fum,api_fo		* ...
-		move.w	(a7)+,sr		* Restore interrupt mask
+
+| api_int -- Analog processor interrupt handler
+| -------    ----------------------------------
+api_int:	movem.l	d0-d1/a0-a1,-(a7)	| Save registers
+		clr.l	d0			| Read input port
+		move.b	ANALOG,d0		| ... into d0[7..0]
+		move.b	d0,api_inp		| ... and api_inp
+		btst	#7,d0			| Check for signal number flag
+		bne	api_s0a			| Jump if signal number read
+
+		lea	api_tv,a0		| Get api_tv base in a0
+		clr.w	d1			| Get api_sv in d1
+		move.b	api_sv,d1		| ...
+		cmpi.b	#6,d1			| Check range
+		bgt	api_sve			| Jump if out of range
+
+		lsl.w	#2,d1			| Develop jump address
+		move.l	0(a0,d1.W),a1		| ... from api_tv in a1
+		jmp	(a1)			| Jump to state handler
+
+api_s0:		btst	#7,d0			| Check for signal number flag
+		beq	api_ret			| Jump if not signal number
+
+api_s0a:	clr.b	api_val			| Clear value byte
+		andi.b	#0x7F,d0		| Mask off signal number flag
+		cmpi.b	#82,d0			| See if it's in range
+		bgt	api_err			| Jump if out of range (GT 82)
+
+		move.b	d0,api_sig		| Store signal number
+		beq	api_pub			| Jump if it was "all off"
+
+		lea	api_tab,a0		| Get sv table base
+		move.b	0(a0,d0.W),api_sv	| Set sv for next time
+
+api_ret:	movem.l	(a7)+,d0-d1/a0-a1	| Restore registers
+		rte				| Return to interrupted code
+
+api_err:	move.b	d0,api_bug		| Catch the bug
+		clr.b	api_sv			| Force state zero
+		bra	api_ret			| Go back to interrupted code
+
+api_sve:	move.b	d1,api_svb		| Catch the bug
+		clr.b	api_sv			| Force state zero
+		bra	api_ret			| Go back to interrupted code
+
+		.page
+api_s1:		btst	#0,d0			| See if it takes a value
+		beq	api_s1a			| Jump if not
+
+		move.b	#2,api_sv		| Set sv for state 2
+		bra	api_ret			| Go return from interrupt
+
+api_s1a:	clr.b	api_val			| Clear value byte
+		bra	api_pub			| Go output to fifo
+
+api_s2:		ori.b	#0x80,d0		| Set status = 1
+		move.b	d0,api_val		| Set value byte
+		bra	api_pub			| Go output to fifo
+
+api_s3:		ror.b	#1,d0			| Set status in value byte
+		andi.b	#0x80,d0		| ...
+		move.b	d0,api_val		| ...
+		move.b	#4,api_sv		| Set sv for state 4
+		bra	api_ret			| Go return from interrupt
+
+api_s4:		or.b	d0,api_val		| Set value byte
+		bra	api_pub			| Go output to fifo
+
+api_s5:		ror.b	#1,d0			| Set status in value byte
+		andi.b	#0x80,d0		| ...
+
+api_s6:		move.b	d0,api_val		| Set value byte
+
+api_pub:	movea.l	api_fi,a0		| Get fifo input pointer in a0
+		move.w	api_sig,(a0)+		| Store new input
+		cmpa.l	#api_fe,a0		| Wrap around ?
+		blt	api_pb1			| Jump if not
+
+		movea.l	#api_fum,a0		| Wrap input pointer to start
+
+api_pb1:	move.l	a0,api_fi		| Update input pointer
+		cmpa.l	api_fo,a0		| Buffer full ?
+		bne	api_pb3			| Jump if not
+
+		movea.l	api_fo,a1		| Get fifo output pointer in a1
+		adda.l	#2,a1			| Increment it
+		cmpa.l	#api_fe,a1		| Wrap around ?
+		blt	api_pb2			| Jump if not
+
+		movea.l	#api_fum,a1		| Wrap output pointer to start
+
+api_pb2:	move.l	a1,api_fo		| Set new output pointer
+
+api_pb3:	clr.b	api_sv			| Set state to 0
+		bra	api_ret			| Return from interrupt
+
+		.page
+
+| api_get -- Get analog input
+| -------    ----------------
+api_get:	move.w	sr,-(a7)		| Save status register
+		ori.w	#IPL3,sr		| Disable ANALOG I/O interrupts
+		movea.l	api_fo,a0		| Get fifo output pointer
+		cmpa.l	api_fi,a0		| See if fifo is empty
+		bne	api_g1			| Jump if not
+
+		moveq.l	#-1,d0			| Set empty-fifo value
+		move.w	(a7)+,sr		| Restore interrupt mask
+		rts				| Return to caller
+
+api_g1:		clr.l	d0			| Get fifo value
+		move.w	(a0)+,d0		| ...
+		cmpa.l	#api_fe,a0		| See if pointer wrapped
+		blt	api_g2			| Jump if not
+
+		movea.l	#api_fum,a0		| Wrap the pointer around
+
+api_g2:		move.l	a0,api_fo		| Update pointer
+		move.w	(a7)+,sr		| Restore interrupt mask
+		rts				| Return to caller
+
+| api_zap -- clear analog I/O FIFO
+| -------    ---------------------
+api_zap:	move.w	sr,-(a7)		| Save status register
+		ori.w	#IPL3,sr		| Disable ANALOG I/O interrupts
+		move.l	#api_fum,api_fi		| Clear analog processor fifo
+		move.l	#api_fum,api_fo		| ...
+		move.w	(a7)+,sr		| Restore interrupt mask
 		rts
-*
-		.endc
-*
-		.page
-*************************************************************************
-*									*
-*			Constant definitions				*
-*			--------------------				*
-*************************************************************************
-*
+
+		.endc
+
+		.page
+|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
+|									|
+|			Constant definitions				|
+|			--------------------				|
+|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
+
 		.even
-*
+
 		.ifne	BUCHLA
-*
-* Buchla 700 tables:
-*
-* t13tab -- Trap-13 pointer table -- Primary BIOS functions
-* ------    -----------------------------------------------
-t13tab:		dc.w	12			* Number of Trap-13 routines
-*
-		dc.l	nullrts			* 0 - (getmpb)
-		dc.l	bconstat		* 1 - bconstat
-		dc.l	bconin			* 2 - bconin
-		dc.l	bconout			* 3 - bconout
-		dc.l	rwabs			* 4 - rwabs
-		dc.l	setexec			* 5 - setexec
-		dc.l	nullrts			* 6 - (tickcal)
-		dc.l	getbpb			* 7 - getbpb
-		dc.l	bcostat			* 8 - bcostat
-		dc.l	mediach			* 9 - mediach
-		dc.l	drvmap			* 10 - drvmap
-		dc.l	nullrts			* 11 - (shift)
-*
-		.page
-*
-* t14tab -- Trap-14 pointer table -- Extended BIOS functions (Buchla 700 only)
-* ------    ------------------------------------------------------------------
-t14tab:		dc.w	10			* Number of trap14 routines
-*
-		dc.l	piorec			* 0 - Get iorec address
-		dc.l	setport			* 1 - Set ACIA parameters
-		dc.l	floprd			* 2 - Read floppy
-		dc.l	flopwr			* 3 - Write floppy
-		dc.l	flopfmt			* 4 - Format floppy
-		dc.l	flopver			* 5 - Verify floppy
-		dc.l	protobt			* 6 - Create prototype boot sec.
-		dc.l	rand			* 7 - Generate random number
-		dc.l	api_get			* 8 - Get analog input
-		dc.l	api_zap			* 9 - Clear analog FIFO
-*
-		.endc
-*
+
+| Buchla 700 tables:
+
+| t13tab -- Trap-13 pointer table -- Primary BIOS functions
+| ------    -----------------------------------------------
+t13tab:		dc.w	12			| Number of Trap-13 routines
+
+		dc.l	nullrts			| 0 - (getmpb)
+		dc.l	bconstat		| 1 - bconstat
+		dc.l	bconin			| 2 - bconin
+		dc.l	bconout			| 3 - bconout
+		dc.l	rwabs			| 4 - rwabs
+		dc.l	setexec			| 5 - setexec
+		dc.l	nullrts			| 6 - (tickcal)
+		dc.l	getbpb			| 7 - getbpb
+		dc.l	bcostat			| 8 - bcostat
+		dc.l	mediach			| 9 - mediach
+		dc.l	drvmap			| 10 - drvmap
+		dc.l	nullrts			| 11 - (shift)
+
+		.page
+
+| t14tab -- Trap-14 pointer table -- Extended BIOS functions (Buchla 700 only)
+| ------    ------------------------------------------------------------------
+t14tab:		dc.w	10			| Number of trap14 routines
+
+		dc.l	piorec			| 0 - Get iorec address
+		dc.l	setport			| 1 - Set ACIA parameters
+		dc.l	floprd			| 2 - Read floppy
+		dc.l	flopwr			| 3 - Write floppy
+		dc.l	flopfmt			| 4 - Format floppy
+		dc.l	flopver			| 5 - Verify floppy
+		dc.l	protobt			| 6 - Create prototype boot sec.
+		dc.l	rand			| 7 - Generate random number
+		dc.l	api_get			| 8 - Get analog input
+		dc.l	api_zap			| 9 - Clear analog FIFO
+
+		.endc
+
 		.even
-*
+
 		.ifeq	BUCHLA
-*
-* NASA 3D Helmet tables:
-*
-* t13tab -- Trap-13 pointer table -- Primary BIOS functions
-* ------    -----------------------------------------------
-t13tab:		dc.w	12			* Number of Trap-13 routines
-*
-		dc.l	nullrts			* 0 - (getmpb)
-		dc.l	bconstat		* 1 - bconstat
-		dc.l	bconin			* 2 - bconin
-		dc.l	bconout			* 3 - bconout
-		dc.l	nullrts			* 4 - (rwabs)
-		dc.l	setexec			* 5 - setexec
-		dc.l	nullrts			* 6 - (tickcal)
-		dc.l	nullrts			* 7 - (getbpb)
-		dc.l	bcostat			* 8 - bcostat
-		dc.l	nullrts			* 9 - (mediach)
-		dc.l	nullrts			* 10 - (drvmap)
-		dc.l	nullrts			* 11 - (shift)
-*
-		.page
-*
-* t14tab -- Trap-14 pointer table -- Extended BIOS functions (Buchla 700 only)
-* ------    ------------------------------------------------------------------
-t14tab:		dc.w	10			* Number of trap14 routines
-*
-		dc.l	piorec			* 0 - Get iorec address
-		dc.l	setport			* 1 - Set ACIA parameters
-		dc.l	nullrts			* 2 - (Read floppy)
-		dc.l	nullrts			* 3 - (Write floppy)
-		dc.l	nullrts			* 4 - (Format floppy)
-		dc.l	nullrts			* 5 - (Verify floppy)
-		dc.l	nullrts			* 6 - (Create prototype boot sec.)
-		dc.l	nullrts			* 7 - (Generate random number)
-		dc.l	nullrts			* 8 - (Get analog input)
-		dc.l	nullrts			* 9 - (Clear analog FIFO)
-*
-		.endc
-*
-		.page
-*
-* cdt01 -- Character device dispatch table #1 -- input status
-* -----    --------------------------------------------------
-cdt01:		dc.l	sr1ist			* 0 - PRT -- Printer
-		dc.l	sr2ist			* 1 - AUX -- Serial-2
-		dc.l	sr2ist			* 2 - CON -- Console
-*
+
+| NASA 3D Helmet tables:
+
+| t13tab -- Trap-13 pointer table -- Primary BIOS functions
+| ------    -----------------------------------------------
+t13tab:		dc.w	12			| Number of Trap-13 routines
+
+		dc.l	nullrts			| 0 - (getmpb)
+		dc.l	bconstat		| 1 - bconstat
+		dc.l	bconin			| 2 - bconin
+		dc.l	bconout			| 3 - bconout
+		dc.l	nullrts			| 4 - (rwabs)
+		dc.l	setexec			| 5 - setexec
+		dc.l	nullrts			| 6 - (tickcal)
+		dc.l	nullrts			| 7 - (getbpb)
+		dc.l	bcostat			| 8 - bcostat
+		dc.l	nullrts			| 9 - (mediach)
+		dc.l	nullrts			| 10 - (drvmap)
+		dc.l	nullrts			| 11 - (shift)
+
+		.page
+
+| t14tab -- Trap-14 pointer table -- Extended BIOS functions (Buchla 700 only)
+| ------    ------------------------------------------------------------------
+t14tab:		dc.w	10			| Number of trap14 routines
+
+		dc.l	piorec			| 0 - Get iorec address
+		dc.l	setport			| 1 - Set ACIA parameters
+		dc.l	nullrts			| 2 - (Read floppy)
+		dc.l	nullrts			| 3 - (Write floppy)
+		dc.l	nullrts			| 4 - (Format floppy)
+		dc.l	nullrts			| 5 - (Verify floppy)
+		dc.l	nullrts			| 6 - (Create prototype boot sec.)
+		dc.l	nullrts			| 7 - (Generate random number)
+		dc.l	nullrts			| 8 - (Get analog input)
+		dc.l	nullrts			| 9 - (Clear analog FIFO)
+
+		.endc
+
+		.page
+
+| cdt01 -- Character device dispatch table #1 -- input status
+| -----    --------------------------------------------------
+cdt01:		dc.l	sr1ist			| 0 - PRT -- Printer
+		dc.l	sr2ist			| 1 - AUX -- Serial-2
+		dc.l	sr2ist			| 2 - CON -- Console
+
 		.ifne	BUCHLA
-*
-		dc.l	mc1ist			* 3 - MC1 -- MIDI-1
-		dc.l	mc2ist			* 4 - MC2 -- MIDI-2
-*
-		.endc
-*
-* cdt02 -- Character device dispatch table #2 -- input
-* -----    -------------------------------------------
-cdt02:		dc.l	sr1inp			* 0 - PRT -- Printer
-		dc.l	sr2inp			* 1 - AUX -- Serial-2
-		dc.l	sr2inp			* 2 - CON -- Console
-*
+
+		dc.l	mc1ist			| 3 - MC1 -- MIDI-1
+		dc.l	mc2ist			| 4 - MC2 -- MIDI-2
+
+		.endc
+
+| cdt02 -- Character device dispatch table #2 -- input
+| -----    -------------------------------------------
+cdt02:		dc.l	sr1inp			| 0 - PRT -- Printer
+		dc.l	sr2inp			| 1 - AUX -- Serial-2
+		dc.l	sr2inp			| 2 - CON -- Console
+
 		.ifne	BUCHLA
-*
-		dc.l	mc1inp			* 3 - MC1 -- MIDI-1
-		dc.l	mc2inp			* 4 - MC2 -- MIDI-2
-*
-		.endc
-*
-* cdt03 -- Character device dispatch table #3 -- output
-* -----    --------------------------------------------
-cdt03:		dc.l	sr1out			* 0 - PRT -- Printer
-		dc.l	sr2out			* 1 - AUX -- Serial-2
-		dc.l	sr2out			* 2 - CON -- Console
+
+		dc.l	mc1inp			| 3 - MC1 -- MIDI-1
+		dc.l	mc2inp			| 4 - MC2 -- MIDI-2
+
+		.endc
+
+| cdt03 -- Character device dispatch table #3 -- output
+| -----    --------------------------------------------
+cdt03:		dc.l	sr1out			| 0 - PRT -- Printer
+		dc.l	sr2out			| 1 - AUX -- Serial-2
+		dc.l	sr2out			| 2 - CON -- Console
 		.ifne	BUCHLA
-*
-		dc.l	mc1out			* 3 - MC1 -- MIDI-1
-		dc.l	mc2out			* 4 - MC2 -- MIDI-2
-*
-		.endc
-*
-* cdt04 -- Character device dispatch table #4 -- output status
-* -----    ---------------------------------------------------
-cdt04:		dc.l	sr1ost			* 0 - PRT -- Printer
-		dc.l	sr2ost			* 1 - AUX -- Serial-2
-		dc.l	sr2ost			* 2 - CON -- Console
+
+		dc.l	mc1out			| 3 - MC1 -- MIDI-1
+		dc.l	mc2out			| 4 - MC2 -- MIDI-2
+
+		.endc
+
+| cdt04 -- Character device dispatch table #4 -- output status
+| -----    ---------------------------------------------------
+cdt04:		dc.l	sr1ost			| 0 - PRT -- Printer
+		dc.l	sr2ost			| 1 - AUX -- Serial-2
+		dc.l	sr2ost			| 2 - CON -- Console
 		.ifne	BUCHLA
-*
-		dc.l	mc1ost			* 3 - MC1 -- MIDI-1
-		dc.l	mc2ost			* 4 - MC2 -- MIDI-2
-*
-		.endc
-*
-		.page
-*
-* iorec defaults:
-* ---------------
-* Serial-1:
-* ---------
+
+		dc.l	mc1ost			| 3 - MC1 -- MIDI-1
+		dc.l	mc2ost			| 4 - MC2 -- MIDI-2
+
+		.endc
+
+		.page
+
+| iorec defaults:
+| ---------------
+| Serial-1:
+| ---------
 sr1dflt:	dc.l	sr1ibuf
 		dc.w	SR1IBS
@@ -3472,7 +3472,7 @@
 		dc.b	0,0
 		dc.w	0,0
-*
-* Serial-2:
-* ---------
+
+| Serial-2:
+| ---------
 sr2dflt:	dc.l	sr2ibuf
 		dc.w	SR2IBS
@@ -3490,11 +3490,11 @@
 		dc.b	0,0
 		dc.w	0,0
-*
-		.page
-*
+
+		.page
+
 		.ifne	BUCHLA
-*
-* MIDI-1:
-* -------
+
+| MIDI-1:
+| -------
 mc1dflt:	dc.l	mc1ibuf
 		dc.w	MC1IBS
@@ -3512,7 +3512,7 @@
 		dc.b	0,0
 		dc.w	0,0
-*
-* MIDI-2:
-* -------
+
+| MIDI-2:
+| -------
 mc2dflt:	dc.l	mc2ibuf
 		dc.w	MC2IBS
